Newer
Older
progname="${0##*/}"
warn ()
{
[ "$1" ] && echo >&2
[ "$1" ] && echo "$progname: $1" >&2
[ "$1" ] && echo >&2
}
fatal ()
{
warn "$2"
exit "$1"
}
usage ()
{
cat <<EOF
Usage: $progname lustretag
where lustretag is a tag of the lustre-core module
echo "$progname: updating lustrecvs"
cvs up -l || fatal 1 "Error updating lustrecvs"
export LUSTRECVS_UPDATED=yes
exec "$0" "$@"
fi
'')
warn "a lustretag is required."
usage >&2
exit 1
;;
--help | -h)
usage
exit 0
;;
# this is the branch table
# keep this list sorted alphabetically!
*)
buildtag="HEAD"
if [ "$tag" = "HEAD" ] ; then
cotag=""
uptag="-A"
else
cotag="-r $tag"
uptag="-r $tag"
( cd "$dir" && cvs up -dP $uptag )